"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f34b80>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f34c10>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f34ca0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f34d30>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f34dc0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f34e50>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f34ee0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f34f70>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f35000>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f35090>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f35120>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f351b0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f35240>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f352d0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f35360>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f353f0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f35480>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f35510>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f355a0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f35630>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f356c0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f35750>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f357e0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f35870>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f35990>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f35900>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f35a20>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f35ab0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f35b40>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f35bd0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f35c60>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f35cf0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f35d80>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f35e10>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f35ea0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f35f30>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f35fc0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f36050>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f360e0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f36170>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f36200>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f36290>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f36320>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f363b0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f36440>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f364d0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f36560>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f365f0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f36680>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f36710>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f367a0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f36830>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f368c0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f36950>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f369e0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f36a70>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f36b00>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f36b90>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f36c20>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f36cb0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f36d40>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f36dd0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f36e60>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f36ef0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f36f80>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f37130>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f37010>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f371c0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f37250>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f372e0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f37370>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f37400>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f37520>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f37490>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f375b0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f37640>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f376d0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f377f0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f37760>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f37880>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f37910>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f379a0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f37a30>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f37ac0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff98f37b50>)]
name: str = 'fr_HOCCN'
